View Issue Details

IDProjectCategoryView StatusLast Update
0032533LazarusLCLpublic2017-10-23 11:23
ReporterTsvetoslavAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSWindowsOS Version7
Product Version1.9 (SVN)Product Build 
Target VersionFixed in Version1.9 (SVN) 
Summary0032533: TDateEdit/TTimeEdit controls break the tab order
DescriptionWhen a TDateEdit or TTimeEdit control has the focus and the user presses "Tab" key, the focus goes to the first control (the control with TabOrder = 0).
Steps To ReproduceIn Lazarus create a new GUI application, and add a few controls, including a TDateEdit and TTimeEdit controls (from the Misc component page). For example, add two standard TEdit controls, TDateEdit control, TTimeEdit control, and again two TEdit controls like in Screenshot1. Compile and run the program.
Select the Edit1 and press Tab key, the focus goes to Edit2 - OK.
Press again Tab key, the focus goes to DateEdit1 - OK.
Press again Tab key, the focus goes to Edit1 - WRONG!
Select the TimeEdit1 and press Tab key - the focus goes to Edit1 - WRONG!
TagsNo tags attached.
Fixed in Revision56031
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0032335 resolvedOndrej Pokorny TDateEdit: SelectNext doesn't work 
has duplicate 0032536 resolvedJuha Manninen TFileNameEdit eats Focus. 
related to 0032601 resolvedMichl TSpinEditEx Focus on Tab Click doesn't work 

Activities

Tsvetoslav

2017-10-11 14:53

reporter  

Screenshot1.png (7,914 bytes)
Screenshot1.png (7,914 bytes)

Bart Broersma

2017-10-11 16:55

developer   ~0103357

This used to work OK, so it's a regression.
Recently there has been some rework of SelectNext IIRC.

Michl

2017-10-11 22:03

developer  

test.zip (2,316 bytes)

Michl

2017-10-11 22:11

developer   ~0103363

Fixed in trunk. Please try and close if ok.

Tsvetoslav

2017-10-12 11:22

reporter   ~0103374

Thanks, it works fine now.

Issue History

Date Modified Username Field Change
2017-10-11 14:52 Tsvetoslav New Issue
2017-10-11 14:53 Tsvetoslav File Added: Screenshot1.png
2017-10-11 15:45 Ondrej Pokorny LazTarget => -
2017-10-11 15:45 Ondrej Pokorny Status new => confirmed
2017-10-11 16:55 Bart Broersma Note Added: 0103357
2017-10-11 17:16 Michl Assigned To => Michl
2017-10-11 17:16 Michl Status confirmed => assigned
2017-10-11 22:03 Michl File Added: test.zip
2017-10-11 22:03 Michl Relationship added related to 0032335
2017-10-11 22:11 Michl Fixed in Revision => 56031
2017-10-11 22:11 Michl Note Added: 0103363
2017-10-11 22:11 Michl Status assigned => resolved
2017-10-11 22:11 Michl Fixed in Version => 1.9 (SVN)
2017-10-11 22:11 Michl Resolution open => fixed
2017-10-12 11:05 Juha Manninen Relationship added related to 0032536
2017-10-12 11:22 Tsvetoslav Note Added: 0103374
2017-10-12 11:22 Tsvetoslav Status resolved => closed
2017-10-12 15:28 Juha Manninen Relationship replaced has duplicate 0032536
2017-10-23 11:23 Michl Relationship added related to 0032601